Subject: Re: Reinventing the wheel? - Virtual Users

From: [email-masked] (Geoff Terry Systems & Net supt 064 923677)
Date: Tue, 13 May 1997 14:12:55 +1000 (EST)

Adrian,
Isn't what you are doing just vitualising the access/authentication database
for ftp clients.
ie for any particular username, ftping to the alternate ip address results
in username/session getting processed and hence chrooted, to an alternate path.

Geofft

>> 
>> # Recently I had a requirement for an FTPd that could do 'virtual' servers,
>> # including the ability to log in as the same name on two different domains
>> # on the same machine, basically, virtual users in virtual ftpd.
>> 
>> Now I'm confused.
>
>8-)
>Yes, I know what you mean.
>Lets define VIRTUAL to be: restrict someone access to part of 
>the file system. Or the ability to show only a certain 
>"view" of the file system.
>
>In many cases that's what I(we) meant by saying virtual(virtual ftp)
>
>In HTTP, it's more obvious, When access a certain IP(HTTP/0.9)
>or hostname(HTTP/1.0 and 1.1) the server will get the files
>inside a certain DocumentROOT as define by the config file.
>
>There is no real use in having ftpd doing virtual hosting for real users.
>Real users do not go through chroot(). So all the file system
>is "visible".
>
>In most cases, when we say Virtual for real users, we meant
>guest accounts, that can be restricted (chroot()) to a certain area
>of the file system, so only certain files can be view.
>
>For "Real Virtual Hosting" i.e virtual for rlogin/telnet/ftp etc..
>then we're talking about Virtual Machine. You'll have a context
>switch depending on how you loggin. Mr Landfield idea about
>"Virtual Inetd" is probably a step in this direction. 
>How hard could it be to do ?
>The real challenge is more to make old stubburn sysadmin(including me :-)
>accept a new syntax and yet a new way of thinking.
>
>> 
>> I'm still confused. Are you looking to setup three classes of users ? 
>...
>>   o FTP-only users restricted to a section of the disk alotted for a specific
>
>I'd say the original poster meant this one, unless he's as confuse as
>the rest of us :-)
>
>-- 
>au revoir, alain
>----
>Aussi haut que l'on soit assis, on est toujours assis que sur son cul !!!
>
>
Geoff Terry    Systems & Network Support
ACR Net        Sapphire Coast NSW 2550
Australia
Ph 064 923677  Mobile 015 668 227 Fax 064 924594

---

From: Adrian Carter <[email-masked]>
Date: Tue, 13 May 1997 15:59:18 +1000

>in username/session getting processed and hence chrooted, to an alternate
path.

Pretty much thats it =) I dont actually chroot, since the 'Fakename ->
Realname' mapping allows wu_ftpd to get HOMEDIR from REALNAME, and thus,
all I do is set HOMEDIR to be what I want, or /home/./user_name to have it
chroot.

This is probably the most 'de-cluttered' explanation of what I meant.
Have a cigar geoff =)

--
*************************************************************************
*Adrian Carter                                	Email: [email-masked]	*
*Systems Administrator	 	              URL: http://www.apic.net/	*
*The Asia Pacific Internet Company Pty Ltd	Autoresp: [email-masked]	*
*  All programmers are playwrights and all computers are lousy actors.  *
*           Phone: (+612) 9419-5333   Fax: (+612) 9419-5155			*
*************************************************************************

---

From: Alain Magloire <[email-masked]>
Date: Tue, 13 May 1997 12:06:08 -0400 (EDT)

O Grand Manitou Geoff Terry

>in username/session getting processed and hence chrooted, to an alternate path.

isn't that the definition of guest group enhance with virtual ?

The "virtualisation" is done by some sort of chroot().
"Virtual" for real user without doing a chroot(),
will take a virtual machine(see K. Landfield and inetd) or
some nasty hacks in the code.

> Geofft

How do you pronounce it .. Terrry :-)